#ifndef __WIT_CONFIG_H__
#define __WIT_CONFIG_H__

#ifdef __cplusplus
extern "C"
{
#endif

#include "sdkconfig.h"

#define TAG                              "Witium"

//软件版本号
#define WIT_VERSION    "1.01"
#define WIT_VERSION_HEX 0x0101

//此宏直接在下载正式程序用
#define WIT_FIXED_MODULE_NAME 1
#if WIT_FIXED_MODULE_NAME > 0
#define WIT_MODULE_NAME "WTG93RF"
#endif

//硬件版本选择
#define WIT_HARDWARE_BOARD_V2_0 0x20

#define WIT_HARDWARE_VERSION		WIT_HARDWARE_BOARD_V2_0

// The main board abbreviation of ERP system
#define WIT_ERP_SYSTEM "B" 
#define WIT_PCB_VERSION "V"
// The production version number of the PCB bare board
#if WIT_HARDWARE_VERSION == WIT_HARDWARE_BOARD_V2_0
#define WIT_VERSION_NUMBER "20"
#endif

// MCU processing chip abbreviation
#define WIT_MCU_MODEL "E"
// Determine the existence of PT00
#define WIT_PT00_STATUS "N"

#define WIT_JUDGMEMT_BQ 1
#if WIT_JUDGMEMT_BQ > 0
#define WIT_BQ_MODEL "S"
#else
#define WIT_BQ_MODEL "B"
#endif

//平台选择
#define USE_WIT_PLATFORM			0
#define USE_WT_PLATFORM				1

#if USE_WIT_PLATFORM + USE_WT_PLATFORM != 1
#error Please select one platform.
#endif

#ifdef CONFIG_ESP32_WIFI 
#define MODULE_TYPE_STR                  "W"
#endif

#ifdef CONFIG_W5100S_SPI_ETHERNET 
#define MODULE_TYPE_STR                  "E"
#endif

#ifdef CONFIG_EC200S_USB_4G 
#define MODULE_TYPE_STR                  "F"
#endif

#define WIT_MQTT_TOPIC_PERFIX            "WT"

#define WIT_CONFIGURE_VALUE              0x12345678
#define WIT_THRESHOLD_VLAUE 0x24681357
#define WIT_HISTORY_DATA_VALUE 0x24681357
#define WIT_MQTT_KEEP_ALIVE_TIME 600                   // MQTT Keep Alive Time
#define WIT_MQTT_TIMEOUT 10000                         // MQTT其他操作默认超时时间10s
#define WIT_MQTT_DATA_TIMEOUT (5 * 60000)              // MQTT数据超时时间5min
#define WIT_LEARNING_PERIOD (5 * 60000)                // 学习模式上发频率
#define WIT_NORMAL_FEATURE_PERIOD (30 * 60 * 1000)     // 正常模式特征默认上发频率
#define WIT_NORMAL_WAVE_PERIOD (24 * 60 * 60 * 1000)   // 正常模式波形默认上发频率
#define WIT_KEY_RESET_TIME 5000                        // 5s 强制AP 10s恢复默认配置(去除)
#define WIT_DATA_LIST_RESTORE_TIME (6 * 60 * 60000)    // 每6小时保存历史特征数据并计算阈值上传
#define WIT_DATA_UPDATE_CHECKIN_TIME (24 * 60 * 60000) // 24h update CheckIn
#define WIT_DATA_UPDATE_IDLE_TIME (5 * 1000)           // 5s 更新数据后空闲N秒后保存数据
#define WIT_DATA_UPDATE_QUICT_TIME (100)               // 100ms 快速更新配置区域时间
#define WIT_MAX_TIME (0xFFFFFED8)                      // MOTT上发最大时长
#define WIT_ALARM_COUNT_THRESHOLD 5                    // 预警N次才上报预警

#define WIT_FEATURE_PERIOD      (15 * 60 * 1000)
#define WIT_DATA_PERIOD         (15 * 60 * 1000)

#ifdef __cplusplus
}
#endif

#endif
