#ifndef DJSON_H
#define DJSON_H
/* Includes ------------------------------------------------------------------*/
typedef enum {
	DJSON_None = 0,
	DJSON_Number = 1,
	DJSON_String = 2,
	DJSON_Object = 3,
	DJSON_Array = 4
} DJSON_Type;

typedef struct
{
	char 			      *pcItemPointer;
	DJSON_Type 	    eItemType;
	DJSON_Type	    eElementType;
	unsigned long 	ulItemLength;
} DJSON;

DJSON 			    DJSON_GetObjectItem(DJSON *pxDJSON, char *pcItemName);
unsigned long 	    DJSON_GetArraySize(DJSON *pxDJSON);
unsigned long       DJSON_GetArrayInt(DJSON *pxDJSON, char *pcbuf);
DJSON 			    DJSON_GetArrayItem(DJSON *pxDJSON, unsigned long ulIndex);
DJSON               DJSON_GetArrayIItem(DJSON *pxDJSON, unsigned long ulIndex);
void 			    DJSON_GetValueString(DJSON *pxDJSON, char *pcInputBuffer, unsigned long ulBufferSize);
double 			    DJSON_GetValueDouble(DJSON *pxDJSON);
int 			    DJSON_GetValueInt(DJSON *pxDJSON);
#endif

