#include "pwr_gpio.h"
#include "driver/gpio.h"
#include "esp_rom_gpio.h"

#define SIM_GPIO_NUM     1
#define VIN_GPIO_NUM     2

void pwr_init(void)
{
      // SIM 和 EC20电压使能
    esp_rom_gpio_pad_select_gpio(SIM_GPIO_NUM);              // 选择个GPIO
	gpio_set_direction(SIM_GPIO_NUM, GPIO_MODE_OUTPUT);      // 把这个GPIO作为输出     
    esp_rom_gpio_pad_select_gpio(VIN_GPIO_NUM);                         // 选择个GPIO
	gpio_set_direction(VIN_GPIO_NUM, GPIO_MODE_OUTPUT);                 // 把这个GPIO作为输出    
    pwr_set(false, false); 
}

void pwr_set(bool b3_3V , bool bSIM)
{
    b3_3V ? gpio_set_level(VIN_GPIO_NUM, 1) : gpio_set_level(VIN_GPIO_NUM, 0);
	bSIM ?  gpio_set_level(SIM_GPIO_NUM, 1) : gpio_set_level(SIM_GPIO_NUM, 0);
} 