#ifndef MBMASTER_H
#define MBMASTER_H
/**
  * @brief  Modbus master mode (only support Modbus RTU mode)
  */
/* Includes ------------------------------------------------------------------*/
#include "mb.h"
#include "mbport.h"
/* Exported functions --------------------------------------------------------*/
UCHAR		 ucMBGetCurrentReadSlaveID(UCHAR ucModbusPort);
void 		 vMBSetTimeout(USHORT usTimeout);
void		 vMBSetResponseData(UCHAR *pucData, UCHAR ucDataLen,UCHAR ucModbusPort);
void         vMBWriteMultipleRegisterResponseData(UCHAR *pucData, UCHAR ucDataLen,UCHAR ucModbusPort);
void         vMBWriteSingResponseResponseData(UCHAR *pucData, UCHAR ucDataLen,UCHAR ucModbusPort);
eMBErrorCode eMBReadCoil(UCHAR ucModbusPort,const UCHAR ucSlaveAddress, const USHORT usStartAddress, const USHORT usCoilNumber, UCHAR *pusReceiveDataBuffer);
eMBErrorCode eMBReadHoldingRegister(UCHAR ucModbusPort,const UCHAR ucSlaveAddress, const USHORT usStartAddress, const USHORT usRegisterNumber, USHORT *pusReceiveDataBuffer);
eMBErrorCode eMBReadInputRegister(UCHAR ucModbusPort,const UCHAR ucSlaveAddress, const USHORT usStartAddress, const USHORT usRegisterNumber, USHORT *pusReceiveDataBuffer);
eMBErrorCode eMBWriteMultiHoldingRegister(const UCHAR ucModbusPort,const UCHAR ucSlaveAddress, const USHORT usStartAddress, const USHORT usRegisterNumber, USHORT *pusDataBuffer);
eMBErrorCode eMBWriteHoldingRegister(const UCHAR ucModbusPort,const UCHAR ucSlaveAddress, const USHORT usStartAddress, const USHORT usRegisterData);
eMBErrorCode eMBWriteMultipleCoil(const UCHAR ucModbusPort,const UCHAR ucSlaveAddress, const USHORT usStartAddress, const USHORT usRegisterNumber, const UCHAR *pusSendDataBuffer);

#endif
