#ifndef SEQ_QUEUE
#define SEQ_QUEUE
/* Includes ------------------------------------------------------------------*/
#include "common.h"

/* Exported macros -----------------------------------------------------------*/

/* Exported types ------------------------------------------------------------*/
typedef struct
{
	unsigned long ulFront;
	unsigned long ulRear;
	unsigned long ulQueueSize;
	unsigned char *pucData;
} SeqQueue;

/* Exported functions --------------------------------------------------------*/
SeqQueue		SeqQueue_Create(unsigned long ulQueueSize);
void 			SeqQueue_Release(SeqQueue *pxQueue);
bool 			SeqQueue_IsEmpty(SeqQueue *pxQueue);
bool 			SeqQueue_IsFull(SeqQueue *pxQueue);
bool 			SeqQueue_EnQueue(SeqQueue *pxQueue, unsigned char ucData);
bool		 	SeqQueue_DeQueue(SeqQueue *pxQueue, unsigned char *pucData);
unsigned long 	SeqQueue_GetLength(SeqQueue *pxQueue);
unsigned long 	SeqQueue_GetRestLength(SeqQueue *pxQueue);
void 			SeqQueue_Clear(SeqQueue *pxQueue);

#endif


