/* Includes ------------------------------------------------------------------*/
#include <stdio.h>
#include "celluar_config.h"
#include "celluar_event.h"
#if CELLUAR_PROTOCOL_MQTT_ENABLE > 0
#include "seq_queue.h"
#endif

#if CELLUAR_PROTOCOL_MQTT_ENABLE > 0
/* Extern variables ----------------------------------------------------------*/
extern SeqQueue g_xSocketQueue[CELLUAR_SOCKET_MAX_COUNT];
extern unsigned long g_ulMaxSocketID;
extern void (*pFuncMQTTStatusChangedHandler)(unsigned long, bool);
/* Private functions ---------------------------------------------------------*/
#endif

/* -------------------------------------------------------------- */
void Celluar_EventPowerDownHandler()
{
#if CELLUAR_PROTOCOL_MQTT_ENABLE > 0
	if (pFuncMQTTStatusChangedHandler != NULL)
	{
		unsigned long i;
		for (i = 0; i < g_ulMaxSocketID; i++)
		{
			if (pFuncMQTTStatusChangedHandler != NULL)
				pFuncMQTTStatusChangedHandler(i, false);
		}
	}
#endif
}

void Celluar_EventNetClosedHandler(unsigned long ulSocketID)
{
#if CELLUAR_PROTOCOL_MQTT_ENABLE > 0
	if (pFuncMQTTStatusChangedHandler != NULL)
		pFuncMQTTStatusChangedHandler(ulSocketID, false);
#endif
}

void Celluar_EventNetReceivedHandler(unsigned long ulSocketID, unsigned char *pucData, unsigned long ulLength)
{
#if CELLUAR_PROTOCOL_MQTT_ENABLE > 0
	if (ulLength < SeqQueue_GetRestLength(&g_xSocketQueue[ulSocketID]))
	{
		unsigned long ulIndex = 0;
		for (ulIndex = 0; ulIndex < ulLength; ulIndex++)
		{
			SeqQueue_EnQueue(&g_xSocketQueue[ulSocketID], pucData[ulIndex]);
		}
	}
#endif
}

void Celluar_EventPullCardHandler()
{
#if CELLUAR_PROTOCOL_MQTT_ENABLE > 0
	if (pFuncMQTTStatusChangedHandler != NULL)
	{
		unsigned long i;
		for (i = 0; i < g_ulMaxSocketID; i++)
		{
			pFuncMQTTStatusChangedHandler(i, false);
		}
	}
#endif
}

void Celluar_EventPDPDeactHandler()
{
#if CELLUAR_PROTOCOL_MQTT_ENABLE > 0
	if (pFuncMQTTStatusChangedHandler != NULL)
	{
		unsigned long i;
		for (i = 0; i < g_ulMaxSocketID; i++)
		{
			pFuncMQTTStatusChangedHandler(i, false);
		}
	}
#endif
}
