#ifndef MQTT_H
#define MQTT_H
/* Includes ------------------------------------------------------------------*/
#include "MQTTPacket.h"
#include "MQTTClient.h"
#include <stdbool.h>
#include "wit_config.h"
#include "mqtt_interface.h"

/* Exported macros -----------------------------------------------------------*/

/* Exported types ------------------------------------------------------------*/

/* Exported functions --------------------------------------------------------*/
long 	MQTT_ClientInit(char *pcClientID, char *pcHost, char *pcPort, char *pcUserName, char *pcPassword, unsigned long ulKeepAliveTime,unsigned long ulTimeout);
bool    MQTT_Connect(unsigned long ulMQTTID, void (*pFuncConnectCallBack)(unsigned long, bool), char *addr, int port);
bool	MQTT_Subscribe(unsigned long ulMQTTID, char *pcTopic, enum QoS eQoS, messageHandler pFuncHandler);
bool 	MQTT_Unsubscribe(unsigned long ulMQTTID, char *pcTopic);
bool 	MQTT_Publish(unsigned long ulMQTTID, char *pcTopic, unsigned char *pucData, unsigned long ulDataSize, 
					 bool bRetained, bool bDup, enum QoS eQoS);
bool    MQTT_PublishFromExtMemory(unsigned long ulMQTTID, char *pcTopic, unsigned long ulDataSize, bool bRetained,
					bool bDup, enum QoS eQoS, void (*pFuncExtMemoryRead)(unsigned long, unsigned char *, unsigned long), unsigned long ulMemoryStartAddress);
bool 	MQTT_GetStatus(unsigned long ulMQTTID);
unsigned char * MQTT_SendBufferPointer(unsigned long ulMQTTID);
unsigned long 	MQTT_GetRestSendBufferSize(unsigned long ulMQTTID);
void 	MQTT_ChangeTimeout(unsigned long ulMQTTID, unsigned long ulTimeout);
#if CONFIG_W5100S_SPI_ETHERNET > 0 
bool    mqtt_eth_network(unsigned long ulMQTTID);
#endif
#endif



